# Draw
TKTopTest
TestTopOpeDraw

# TestTopOpeDraw_ListIteratorOfListOfPnt2d Class Reference

`#include <TestTopOpeDraw_ListIteratorOfListOfPnt2d.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TestTopOpeDraw_ListIteratorOfListOfPnt2d ()
Standard_EXPORT | TestTopOpeDraw_ListIteratorOfListOfPnt2d (const TestTopOpeDraw_ListOfPnt2d &L)
Standard_EXPORT void | Initialize (const TestTopOpeDraw_ListOfPnt2d &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT gp_Pnt2d & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT TestTopOpeDraw_ListIteratorOfListOfPnt2d::TestTopOpeDraw_ListIteratorOfListOfPnt2d | ( |  | ) |

Standard_EXPORT TestTopOpeDraw_ListIteratorOfListOfPnt2d::TestTopOpeDraw_ListIteratorOfListOfPnt2d | ( | const TestTopOpeDraw_ListOfPnt2d & | L | ) |

## Member Function Documentation

Standard_EXPORT void TestTopOpeDraw_ListIteratorOfListOfPnt2d::Initialize | ( | const TestTopOpeDraw_ListOfPnt2d & | L | ) |

Standard_Boolean TestTopOpeDraw_ListIteratorOfListOfPnt2d::More | ( |  | ) | const

Standard_EXPORT void TestTopOpeDraw_ListIteratorOfListOfPnt2d::Next | ( |  | ) |

void TestTopOpeDraw_ListIteratorOfListOfPnt2d::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TestTopOpeDraw_ListIteratorOfListOfPnt2d::operator new | ( | size_t | size | ) | `[inline]`

void* TestTopOpeDraw_ListIteratorOfListOfPnt2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT gp_Pnt2d& TestTopOpeDraw_ListIteratorOfListOfPnt2d::Value | ( |  | ) | const

## Field Documentation

Standard_Address TestTopOpeDraw_ListIteratorOfListOfPnt2d::current `[private]`

Standard_Address TestTopOpeDraw_ListIteratorOfListOfPnt2d::previous `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeDraw_ListIteratorOfListOfPnt2d.hxx